PNP module for Icinga Web 2
===========================

General Information
-------------------

PNP is an addon to Icinga  which analyzes performance data provided by plugins
and stores them automatically into RRD-databases.

This module integrates PNP4Nagios into your
[Icinga Web 2](https://www.icinga.org/icinga/screenshots/icinga-web-2/)
frontend. It requires [PNP4Nagios](https://docs.pnp4nagios.org/)
to installed and configured.

Installation
------------

Just drop this module to a folder named `pnp` in one of your Icinga Web 2 module
directories. Then enable it in your frontend (Configuration -> Modules -> pnp
-> enable) and it should work out of the box. Check the modules config tab right
there in case you are using a customized installation instead of standard
PNP4Nagios packages.

TODO
----

We should also provide an easy way to integrate our authentication and
permission system into PNP4Nagios. This would require a small wrapper doing an
embedded Icinga Web 2 bootstrap in order to provide our user object and a list
of allowed hosts/services to PNP4Nagios.
